[arch-commits] Commit in bochs/trunk (PKGBUILD)

Ionut Biru ibiru at archlinux.org
Sun Nov 22 16:49:19 EST 2009


    Date: Sunday, November 22, 2009 @ 16:49:19
  Author: ibiru
Revision: 59378

upgpkg: bochs 2.4.2-1
    update to 2.4.2

Modified:
  bochs/trunk/PKGBUILD

----------+
 PKGBUILD |   19 ++++++++-----------
 1 file changed, 8 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-22 21:20:26 UTC (rev 59377)
+++ PKGBUILD	2009-11-22 21:49:19 UTC (rev 59378)
@@ -3,24 +3,21 @@
 # Maintainer: Kevin Piche <kevin at archlinux.org>
 
 pkgname=bochs
-pkgver=2.3.7
+pkgver=2.4.2
 pkgrel=1
 pkgdesc="A portable x86 PC emulation software package"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 license=('LGPL')
 url="http://bochs.sourceforge.net/"
-source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz 
-bochs-2.3.7-typo-fixes.patch)
-md5sums=('a2e5f922505bf16cabd36bb9d571a2c4' '7d6df4f5f7ee1d4623e7bcf385c9c6e0')
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz)
 depends=('gcc-libs' 'libxpm')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np1 -i ../bochs-2.3.7-typo-fixes.patch || return 1
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --enable-vbe --without-wx --enable-cpu-level=6 \
-        --enable-4meg-pages --enable-global-pages --enable-pae --enable-fpu \
-        --enable-mmx --enable-3dnow --enable-sse --enable-sep
+              --enable-fpu --enable-mmx --enable-3dnow --enable-sse --enable-sep || return 1
   make || return 1
-  make prefix=${startdir}/pkg/usr install
-  install -D -m 644 .bochsrc ${startdir}/pkg/etc/bochsrc-sample.txt
+  make prefix=${pkgdir}/usr install
+  install -D -m 644 .bochsrc ${pkgdir}/etc/bochsrc-sample.txt
 }
+sha256sums=('5dd350c8cb1d2ad9b6d90962b48c06bbe9ec189be152a07a6e175e050bf03406')



More information about the arch-commits mailing list